// =================================================================================================
// Copyright 2002-2008 Adobe Systems Incorporated
// All Rights Reserved.
//
// NOTICE:  Adobe permits you to use, modify, and distribute this file in accordance with the terms
// of the Adobe license agreement accompanying it.
// =================================================================================================

#include "winres.h"	// ! Needed to create the Version tab in the Properties panel.

#include "../../../build/XMP_BuildInfo.h"
#include "../../../public/include/XMP_Version.h"

// Defines must be set in project settings: Resources/Preprocessor Definitions
#if DEBUG
	#define kConfig "Debug"
	#define kDebugSuffix "debug "
#else
	#define kConfig "Release"
	#define kDebugSuffix ""
#endif

#if _WIN64
	#define BINTYPE "64"
#else
	#define BINTYPE "32"
#endif

#define kEngVersion XMPCORE_API_VERSION_STRING  " ( "  BINTYPE " bit " kDebugSuffix ")"

VS_VERSION_INFO VERSIONINFO
 FILEVERSION XMPCORE_API_VERSION_MAJOR,XMPCORE_API_VERSION_MINOR
 PRODUCTVERSION XMPCORE_API_VERSION_MAJOR,XMPCORE_API_VERSION_MINOR
 FILEFLAGSMASK 0x3FL
 FILEOS 0x4L
 FILETYPE 0x2L
 FILESUBTYPE 0x0L
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "080004b0"
        BEGIN
        	VALUE "Configuration", kConfig "\0"
            VALUE "FileDescription", "XMP Core " kEngVersion "\0"
            VALUE "FileVersion", kEngVersion  "\0"
            VALUE "InternalName", "XMPCore\0"
            VALUE "LegalCopyright", kXMP_CopyrightStr "\0"
            VALUE "OriginalFilename", "XMPCore.dll\0"
            VALUE "ProductName", "XMP Core\0"
            VALUE "ProductVersion", XMPCORE_API_VERSION_STRING "\0"
			VALUE "BinType", BINTYPE "\0"
        END
    END
    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0x800, 1200
    END
END
